Bug 209236 - graphics/osgearth: Update to 2.7
Summary: graphics/osgearth: Update to 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: http://docs.osgearth.org/en/latest/re...
Keywords: patch
Depends on:
Blocks: 209056
  Show dependency treegraph
 
Reported: 2016-05-03 16:09 UTC by Ben Woods
Modified: 2016-05-14 21:47 UTC (History)
3 users (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
Patch to update graphics/osgearth to 2.7 (20.14 KB, patch)
2016-05-03 16:09 UTC, Ben Woods
woodsb02: maintainer-approval+
Details | Diff
QA: Successful poudriere testport logs for graphics/osgearth 2.7 against osg-3.4.0 on FreeBSD 11-current amd64 (850.20 KB, text/plain)
2016-05-03 16:40 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for graphics/osgearth 2.7 against existing ports tree (osg-3.2.1_8) on FreeBSD 11-current amd64 (836.34 KB, text/plain)
2016-05-04 09:03 UTC, Ben Woods
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-05-03 16:09:05 UTC
Created attachment 169932 [details]
Patch to update graphics/osgearth to 2.7

graphics/osgearth:
- Update to 2.7 (this new version also allows osgearth to build against osg-3.4.0)
- Change PLIST_SUB variable OSGVERSION to 3.4.0 (should commit with bug #209056)
- Rename and update patch of src/osgEarth/ThreadingUtils.cpp (pet portlint)
- Add patch to removed unnecessary FirstPersonManipulator include from osgearth_skyview [1]


Changes this release:
http://docs.osgearth.org/en/latest/releasenotes.html#version-2-7-july-2015


  [1] https://github.com/gwaldron/osgearth/commit/bd36290687f6884c17c622ca57442e60c1ec50b8#diff-091cce4318b0ef98b4ce05f80e3d0762
Comment 1 Ben Woods freebsd_committer 2016-05-03 16:40:14 UTC
Created attachment 169934 [details]
QA: Successful poudriere testport logs for graphics/osgearth 2.7 against osg-3.4.0 on FreeBSD 11-current amd64
Comment 2 Ben Woods freebsd_committer 2016-05-04 09:01:15 UTC
Note that this update and patch can be committed to the ports tree without breaking the build of graphics/osgearth, with the exception that the PLIST_SUB variable OSGVERSION should represent the version of graphics/osg in the ports tree (currently 3.2.1). The change of this variable to 3.4.0 should be timed with the update of graphics/osg to 3.4.0.
Comment 3 Ben Woods freebsd_committer 2016-05-04 09:03:24 UTC
Created attachment 169952 [details]
QA: Successful poudriere testport logs for graphics/osgearth 2.7 against existing ports tree (osg-3.2.1_8) on FreeBSD 11-current amd64

Note that this was with the PLIST_SUB variable OSGVERSION set to 3.2.1 (to match the version of graphics/osg currently in the ports tree).
Comment 4 Ben Woods freebsd_committer 2016-05-10 08:42:02 UTC
I will take this bug report, since I now have a commit bit.

lbartoletti: Waiting on your approval as maintainer on this diff.
Comment 5 Loïc Bartoletti 2016-05-13 02:57:33 UTC
Tested (with OSG 3.2.1) and it's ok.
But osg need to upgrade to 3.4.0 version else change PLIST_SUB to 3.2.1.

Thanks.
Comment 6 Dmitry Marakasov freebsd_committer 2016-05-13 12:06:47 UTC
Ben, please commit with 3.2.1 for now, I need some more time to review and test osg update.
Comment 7 Ben Woods freebsd_committer 2016-05-13 12:21:36 UTC
(In reply to Dmitry Marakasov from comment #6)
Ok, just trying to address a comment from mat on the review:
https://reviews.freebsd.org/D6344#inline-40040

He mentioned the DISTVERSIONPREFIX should stay, to prevent the GitHub link changing in the future. It actually changes the code, and means the new patch is no longer required. Doing some testing now.
Comment 8 commit-hook freebsd_committer 2016-05-14 21:45:18 UTC
A commit references this bug:

Author: woodsb02
Date: Sat May 14 21:44:49 UTC 2016
New revision: 415199
URL: https://svnweb.freebsd.org/changeset/ports/415199

Log:
  graphics/osgearth:
  - Update to 2.7 (this new version also allows osgearth to build against osg-3.4.0)
  - Rename and update patch of src/osgEarth/ThreadingUtils.cpp (pet portlint)
  - Fix COMMENT (pet portlint)
  - Fix BUILD_DEPENDS for minizip

  Changes this release:
    http://docs.osgearth.org/en/latest/releasenotes.html#version-2-7-july-2015

  PR:		209236
  Reviewed by:	mat (mentor)
  Approved by:	lbartoletti@tuxfamily.org (maintainer), adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D6344

Changes:
  head/graphics/osgearth/Makefile
  head/graphics/osgearth/distinfo
  head/graphics/osgearth/files/patch-src-osgEarth-ThreadingUtils.cpp
  head/graphics/osgearth/files/patch-src_osgEarth_ThreadingUtils.cpp
  head/graphics/osgearth/pkg-plist